void setup() {
  Serial.begin(9600); //initialisation de la communication série à 9600 bauds
  pinMode(13,OUTPUT); //déclaration de la led 13 comme sortie
}

void loop() {
  if (Serial.available()){//dès qu'un caractère série est reçu
    char val=Serial.read();
    if (val=='H'){//Si le caractère reçu est H on allume la led
      digitalWrite(13,HIGH);
      }
    else if (val=='L'){//Si le caractère reçu est L on éteint la led
      digitalWrite(13,LOW);
      }
    else if (val=='R'){//Si le caractère reçu est R on envoie une valeur      
      int data=analogRead(0);
      Serial.print(data);
      }
    }
}
